import request from '@/utils/request';

export function getUserExistTel(data = {}) {
    return request({
                       url: `/common/exist/tel`,
                       method: 'post',
                       data
                   });
}

export function getAppConfig(data = {}) {
    return request({
        url:    `/common/app/config`,
        method: 'post',
        data,
    });
}
export function getUserExistUserName(data = {}) {
    return request({
                       url: `/common/exist/userName`,
                       method: 'post',
                       data
                   });
}

export function getUserAuthClient(data = {}) {
    return request({
                       url:    `/common/client/login`,
                       method: 'post',
                       data,
                   });
}

export function getUserAuth(data = {}) {
    return request({
                       url:    `/common/admin/login`,
                       method: 'post',
                       data,
                   });
}

export function getTenantConfig(data = {}) {
    return request({
                       url:    `/common/admin/config`,
                       method: 'post',
                       data,
                   });
}

export function getTenantConfigClient(data = {}) {
    return request({
                        url:    `/common/client/config`,
                        method: 'post',
                        data,
    });
}

export function getTenantConfigAfterLogin(data = {}) {
    return request({
        url:    `/tenant/config/update/admin`,
        method: 'post',
        data,
    });
}

export function getTenantConfigClientAfterLogin(data = {}) {
    return request({
        url:    `/tenant/config/update/client`,
        method: 'post',
        data,
    });
}

export function getRegisterList(data = {}) {
    return request({
                       url:    `/common/register`,
                       method: 'post',
                       data,
                   });
}
export function getRegisterOrg(data = {}) {
    return request({
                       url:    `/common/org/all`,
                       method: 'post',
                       data,
                   });
}
export function getRegisterPosition(data = {}) {
    return request({
                       url:    `/common/position/all`,
                       method: 'post',
                       data,
                   });
}

export  function getAdminUserPasswordReset(data = {}) {
    return request({
                       url: `/common/password/reset`,
                       data,
                       method: 'post',
                   });
}

export  function getUserRegister(data = {}) {
    return request({
        url: `/common/tenant/register`,
        data,
        method: 'post',
    });
}

export function getTelLogin(data = {}) {
    return request({
        url: `/common/tenant/login`,
        method: 'post',
        data
    });
}


